Package org.apache.coyote.http11.filters

# Class GzipOutputFilter.FakeOutputStream

java.lang.Object
java.io.OutputStream
org.apache.coyote.http11.filters.GzipOutputFilter.FakeOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing class:
  GzipOutputFilter

protected class GzipOutputFilter.FakeOutputStream extends OutputStream

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final ByteBuffer`
`outputChunk`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`FakeOutputStream()`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### outputChunk

protected final ByteBuffer outputChunk

## Constructor Details

### FakeOutputStream

protected FakeOutputStream()

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`